Bug 11383 - There is no help page for the marc modification templates tool
Summary: There is no help page for the marc modification templates tool
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8015
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-11 16:09 UTC by Jonathan Druart
Modified: 2015-06-04 23:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11383: Add help file for Marc modification templates (4.76 KB, patch)
2013-12-14 18:36 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 11383: Add help file for Marc modification templates (4.81 KB, patch)
2013-12-16 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11383: Add help file for Marc modification templates (4.94 KB, patch)
2013-12-20 18:17 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-12-11 16:09:23 UTC
An help page should be exist for this page.
Comment 1 Nicole C. Engard 2013-12-13 12:57:05 UTC
Can you tell me the URL of the page you're referring to? Are we talking about staff help document or Perl help document?

Nicole
Comment 2 Jonathan Druart 2013-12-13 13:35:19 UTC
Hello Nicole,
I am talking about the help page accessible from the "Help" link (top-right) on the tools/marc_modification_templates.pl page.
Comment 3 Nicole C. Engard 2013-12-13 14:08:08 UTC
Okey dokey, I"ll write that up - but can you tell me what patch added this page so I can read the test plan? :)
Comment 4 Nicole C. Engard 2013-12-13 14:08:20 UTC
Nevermind - I see it in the depends on :)
Comment 5 Nicole C. Engard 2013-12-14 18:36:34 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2013-12-16 09:52:40 UTC
Nicole,
Thank you very much to write this help page!
Note that currently the Marc modification templates is only used while staging MARC records for import but bug 11395 will (if pushed) allow librarians to apply templates to existing records (biblios and authorities already in the catalog).
Comment 7 Jonathan Druart 2013-12-16 09:55:31 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2013-12-16 13:40:53 UTC
I will watch the other bug and update the manual and the help accordingly once it's pushed.
Comment 9 Kyle M Hall 2013-12-20 18:17:46 UTC
Created attachment 23731 [details] [review]
Bug 11383: Add help file for Marc modification templates

This patch adds the missing help files to the Marc modification
templates tool. To test:

* Visit Tools > Marc modification templates
* Click 'Help' in the top right
* Confirm that help is there and right

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Galen Charlton 2013-12-20 22:55:51 UTC
Pushed to master.  Thanks, Nicole!
Comment 11 Fridolin SOMERS 2013-12-30 09:56:04 UTC
Patch pushed to 3.14.x, will be in 3.14.2